Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.xml.xsql
Class XSQLError

    java.lang.Object
      |
      +--oracle.xml.xsql.XSQLError

public class XSQLError
extends java.lang.Object

Represents a fatal error in the XSQL page processing engine.

Method Summary
`java.lang.Integer` | `getErrorCode()` Returns the XSQL error code
`java.lang.String` | `getErrorXML()` Returns the XSQL error information formatted as a well-formed XML fragment.
`Document` | `getErrorXMLDocument()` Returns the XSQL error information as a DOM Document
`java.lang.String` | `getMessage()` Returns the text of the XSQL error that has occurred.
`java.lang.Object[]` | `getSupplementalErrorInfo()` Returns an Object array of supplemental error information.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getMessage

    public java.lang.String getMessage()

  Returns the text of the XSQL error that has occurred.

### getSupplementalErrorInfo

    public java.lang.Object[] getSupplementalErrorInfo()

  Returns an Object array of supplemental error information.

### getErrorXML

    public java.lang.String getErrorXML()

  Returns the XSQL error information formatted as a well-formed XML fragment.

### getErrorXMLDocument

    public Document getErrorXMLDocument()

  Returns the XSQL error information as a DOM Document

### getErrorCode

    public java.lang.Integer getErrorCode()

  Returns the XSQL error code

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2004, Oracle. All rights reserved.